/*
 * IIC.h
 *
 *  Created on: Jul 11, 2023
 *      Author: zzy
 */

#ifndef INC_IIC_H_
#define INC_IIC_H_

#include <inttypes.h>
#include "main.h"
#define IIC_WR	0		/* 写控制bit */
#define IIC_RD	1		/* 读控制bit */

void IIC_Start(void);
void IIC_Stop(void);
void IIC_Send_Byte(uint8_t _ucByte);
uint8_t IIC_Read_Byte(uint8_t ack);
uint8_t IIC_Wait_Ack(void);
void IIC_Ack(void);
void IIC_NAck(void);
uint8_t IIC_CheckDevice(uint8_t _Address);
void IIC_GPIO_Init(void);

#endif /* INC_IIC_H_ */
